swfextract(1)

NAME
swfextract - a tool for extracting data out of swf files.

Synopsis
swfextract [options] [file.swf]

DESCRIPTION
swfextracts allows to extract swf movieclips and objects out of swf files.

SWF files are animation files which can be displayed in Web Browsers using the Flash Plugin.

OPTIONS

-h, --help
    Print short help message and exit

-o, --output filename
    Write output to file filename

-V, --version
    Print version info and exit

-i, --id ids
    ids is a range of IDs to extract. E.g. 1-10,14

-j, --jpegs ids
    ids is a range of JPEG IDs to extract. E.g. 1-2,3,14-

-p, --pngs ids
    ids is a range of PNG IDs to extract. E.g. -10,20-30

-f, --frame frames
    frames is a range of frames to extract. E.g. 1-10,20-30,40-

-n, --name name
    Set the name of the object to extract to name.

-w, --hollow
    Copy empty frames to the output file, too.

-j, --jpegs range
    Extract jpeg pictures in range

-p, --pngs range
    Extract png pictures in range

-m, --mp3
    Extract main mp3 stream (There may be substreams in the Movieclips, as well. To extract these, first extract the Movieclips with -i and then use -m)

AUTHOR
Matthias Kramm <kramm@quiss.org>